## com.thingmagic
Class Gen2.TagData

    java.lang.Object
      com.thingmagic.TagData
          com.thingmagic.Gen2.TagData

All Implemented Interfaces:
  TagFilter

Enclosing class:
  Gen2

    public static class Gen2.TagData

extends TagData

This class extends `TagData` to represent the details of a Gen2 RFID tag.

Constructor Summary
`Gen2.TagData(byte[] bEPC)`
`Gen2.TagData(byte[] bEPC, byte[] newPC)`
`Gen2.TagData(byte[] bEPC, byte[] crc, byte[] newPC)`
`Gen2.TagData(java.lang.String sEPC)`
`Gen2.TagData(java.lang.String sEPC, java.lang.String sCrc)`

Method Summary
`TagProtocol` `getProtocol()` Returns the protocol of this tag.
`byte[]` `pcBytes()`
`java.lang.String` `toString()`

Methods inherited from class com.thingmagic.TagData
`crcBytes, epcBytes, epcString, equals, hashCode, matches`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Gen2.TagData

    public Gen2.TagData(byte[] bEPC)

### Gen2.TagData

    public Gen2.TagData(byte[] bEPC,
                        byte[] newPC)

### Gen2.TagData

    public Gen2.TagData(byte[] bEPC,
                        byte[] crc,
                        byte[] newPC)

### Gen2.TagData

    public Gen2.TagData(java.lang.String sEPC)

### Gen2.TagData

    public Gen2.TagData(java.lang.String sEPC,
                        java.lang.String sCrc)

Method Detail

### getProtocol

    public TagProtocol getProtocol()

  Description copied from class: `TagData`
  Returns the protocol of this tag.

  Overrides:
    `getProtocol` in class `TagData`

### pcBytes

    public byte[] pcBytes()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TagData`